-- ----------------------------------------------------------------------------
-- Copyright (C) 2011 Nokia Gate5 GmbH Berlin
--
-- These coded instructions, statements, and computer programs contain
-- unpublished proprietary information of Nokia Gate5 GmbH Berlin, and
-- are copy protected by law. They may not be disclosed to third parties
-- or copied or duplicated in any form, in whole or in part, without the
-- specific, prior written permission of Nokia Gate5 GmbH Berlin.
-- ----------------------------------------------------------------------------
--      Authors: RFS, Fabian TP Riek
-- ----------------------------------------------------------------------------
--             Voice Skin: Romanian TTS

description = "TTS"
gender = "f"
travel_mode = "0"    -- walk and drive 
output_type = "tts"
speaker = "Simona"
language = "Romanian"
marc_code = "rum"
language_id = "78"
id = "78002"
config_file = "romanian_tts/config_tts.lua"
audio_files_path = "romanian_tts/romanian_tts"
rulesets_file = "romanian_tts/romanian_tts/rules_ror.txt"
userdictionary_file = "romanian_tts/romanian_tts/udct_ror.dat"
apdb = "apdb/simona/nm"
audio_files_version = "0.3.0.2012031601"
feature_list = { "metric", "imperial_uk", "imperial_us" }
client_range = "[ client >= 1.4.6.0 ; client < 1.7.0.0 ]"

maneuver_check = {
    ["END"] = "veţi ajunge la destinaţie",                             -- You will reach your destination
    ["STOPOVER"] = "veţi ajunge la o destinaţie intermediară",         -- You will reach a stopover
    ["JUNCTION"] = nil,                                                -- No voice file needed -> check maneuver_turn
    ["PASS_JUNCTION"] = nil,                                           -- the junction
    ["ROUNDABOUT"] = "la sensul giratoriu",                            -- At the roundabout
    ["EXIT_ROUNDABOUT"] = "folosiţi ieşirea",                          -- take the exit
    ["UTURN"] = "întoarceţi-vă cu 180 de grade",                       -- Make a uturn
    ["ENTER_HIGHWAY"] = "intraţi pe autostradă",
    ["LEAVE_HIGHWAY"] = "folosiţi ieşirea",                            -- take the exit
    ["CONTINUE_HIGHWAY"] = "folosiţi ieşirea",                         -- due to specifications ("take the exit")
    ["ENTER_URBAN_HIGHWAY"] = "intraţi pe autostradă",
    ["LEAVE_URBAN_HIGHWAY"] = "folosiţi ieşirea",                      -- take the exit
    ["CONTINUE_URBAN_HIGHWAY"] = "folosiţi ieşirea",
    ["DRIVE_TO_NEAREST_ROAD"] = "Îndreptaţi-vă spre cel mai apropiat drum",        -- drive to nearest road 
    ["FERRY"] = "urcaţi pe feribot"
}

maneuver_turns_car = {
    ["NO_TURN"] = "mergeţi drept înainte",
    ["KEEP_MIDDLE"] = "încadraţi-vă pe banda din mijloc",
    ["KEEP_RIGHT"] = "rămâneţi pe partea dreaptă",
    ["LIGHT_RIGHT"] = "viraţi uşor la dreapta",
    ["QUITE_RIGHT"] = "viraţi la dreapta",
    ["HEAVY_RIGHT"] = "viraţi strâns la dreapta",
    ["RETURN"] = "întoarceţi-vă cu 180 de grade",
    ["HEAVY_LEFT"] = "viraţi strâns la stânga",
    ["QUITE_LEFT"] = "viraţi la stânga",
    ["LIGHT_LEFT"] = "viraţi uşor la stânga",
    ["KEEP_LEFT"] = "rămâneţi pe partea stângă",
    ["nil"] = nil,
    ["UNDEFINED"] = nil
}

maneuver_turns_pedestrian = {
    ["NO_TURN"] = "mergeţi drept înainte",
    ["KEEP_MIDDLE"] = "mergeţi drept înainte",
    ["KEEP_RIGHT"] = "luaţi-o pe strada din dreapta",
    ["LIGHT_RIGHT"] = "viraţi uşor la dreapta",
    ["QUITE_RIGHT"] = "viraţi la dreapta",
    ["HEAVY_RIGHT"] = "viraţi strâns la dreapta",
    ["RETURN"] = "întoarceţi-vă cu 180 de grade",
    ["HEAVY_LEFT"] = "viraţi strâns la stânga",
    ["QUITE_LEFT"] = "viraţi la stânga",
    ["LIGHT_LEFT"] = "viraţi uşor la stânga",
    ["KEEP_LEFT"] = "luaţi-o pe strada din stânga",
    ["nil"] = nil,
    ["UNDEFINED"] = nil
}

pedestrian_vc = {
    ["BUILDING"] = "treceţi prin clădire",
    ["SQUARE"] = "traversaţi piaţa",
    ["PARK"] = "traversaţi parcul",
    ["STAIRS"] = "folosiţi scările",
    ["ELEVATOR"] = "luaţi liftul",
    ["ESCALATOR"] = "folosiţi scările"
}

final_command = {
    ["END"] = "Aţi ajuns la destinaţie",                        -- You have reached your destination
    ["STOPOVER"] = "Aţi ajuns la o destinaţie intermediară"     -- You have reached a stopover
}

exit_number_check = {
    [1] = {"folosiţi prima ieşire", "intraţi pe prima stradă"},             -- take the first exit
    [2] = {"folosiţi a doua ieşire", "intraţi pe a doua stradă"},           -- take the second exit
    [3] = {"folosiţi a treia ieşire", "intraţi pe a treia stradă"},         -- take the third exit
    [4] = {"folosiţi a patra ieşire", "intraţi pe a patra stradă"},         -- take the fourth exit
    [5] = {"folosiţi a cincea ieşire", "intraţi pe a cincea stradă"},       -- take the fifth exit
    [6] = {"folosiţi a şasea ieşire", "intraţi pe a şasea stradă"},         -- take the sixth exit
    [7] = {"folosiţi a şaptea ieşire", "folosiţi a şaptea ieşire"},          -- take the seventh exit
    [8] = {"folosiţi a opta ieşire", "folosiţi a opta ieşire"},              -- take the eighth exit
    [9] = {"folosiţi a noua ieşire", "folosiţi a noua ieşire"},                  -- take the ninth exit
    [10] = {"folosiţi a zecea ieşire", "folosiţi a zecea ieşire"},                -- take the tenth exit
    [11] = {"folosiţi a unsprezecea ieşire", "folosiţi a unsprezecea ieşire"},       -- take the eleventh exit
    [12] = {"folosiţi a douăsprezecea ieşire", "folosiţi a douăsprezecea ieşire"}             -- take the twelfth exit
}

unit = {                        
    ["MILE"] = "milă",
    ["YARDS"] = "yarzi",
    ["FEET"] = "feet",
    ["KILOMETER"] = "kilometru",
    ["METERS"] = "metri",
    ["METER"] = "metri",
    ["KILOMETERS"] = "kilometri",
    ["MILES"] = "mile",
    ["nil"] = nil,
    ["UNDEFINED"] = nil
}

orientation = {
    ["NORTH"] = "spre nord",
    ["NORTH_EAST"] = "spre nord-est",
    ["EAST"] = "spre est",
    ["SOUTH_EAST"] = "spre sud-est",
    ["SOUTH"] = "spre sud",
    ["SOUTH_WEST"] = "spre sud-vest",
    ["WEST"] = "spre vest",
    ["NORTH_WEST"] = "spre nord-vest"
}

misc = { 
    ["gps_signal_lost_wav"] = "Semnalul GPS a fost pierdut",
    ["gps_signal_restored_wav"] = "Conexiunea GPS a fost reluată",
 --   ["no_gps_signal_wav"] = "Nu există semnal GPS",
    ["route_recalculation_wav"] = "Ruta se recalculează",
    ["now_wav"] = "Acum",
    ["end_of_street_wav"] = "La capătul drumului",
    ["follow_motorway_wav"] = "Urmaţi cursul autostrăzii",
    ["follow_road_wav"] = "Urmaţi cursul drumului",
    ["for_wav"] = nil,
    ["after_wav"] = "După",
    ["de_wav"] = "de",
    ["the_junction_wav"] = "intersecţie",
    ["half_a_mile_wav"] = "o jumătate de milă",
    ["quarter_a_mile_wav"] = "un sfert de milă",
    ["three_quarter_of_mile_wav"] = "trei sferturi de mile",
    ["and_then_immediately_wav"] = "şi imediat după aceea",
    ["safety_camara_ahead_wav"] = "Cameră de supraveghere",
    --["over_speed_limit_wav"] = "Respectaţi limita de viteză",
    ["traffic_automatic_detour_wav"] = "Trafic intens pe ruta dumneavoastră se ocoleşte",
    ["traffic_manual_detour_wav"] = "Trafic intens pe ruta dumneavoastră vreţi să ocoliţi?",
    ["no_detour_possible"] = "Nu a fost găsită nicio rută ocolitoare",
    ["and_wav"] = "şi",
    ["and_then_wav"] = "şi apoi",
    ["and_continue_on_wav"] = "şi continuaţi pe",
    ["towards_wav"] = "spre",
    ["turn_wav"] = "viraţi",
    ["onto_wav"] = "pe",
    ["exit_wav"] = "folosiţi ieşirea",
    ["second_right_wav"] = "intraţi pe a doua stradă la dreapta",
    ["second_left_wav"] = "intraţi pe a doua stradă la stânga",
    ["dot"] = ".",
    ["walk_left_roundabout_wav"] = "mergeţi în stânga sensului giratoriu",
    ["walk_right_roundabout_wav"] = "mergeţi în dreapta sensului giratoriu",
    ["walk_roundabout_wav"] = "Mergeţi în jurul sensului giratoriu",
    ["head_wav"] = "Deplasaţi-vă",
    ["pause"] = "\\pause=50\\",
    ["on_wav"] = "pe",
    ["the_footpath_wav"] = "alee"
}

wav_files = { 
    ["beep_sound"] = "beep16K.wav",
	["speed_limit_beeps"] = "g5war_speed_limit_soft4edit9.wav"       
}

right = { ["QUITE_RIGHT"] = 0, ["HEAVY_RIGHT"] = 0, ["LIGHT_RIGHT"] = 0, ["KEEP_RIGHT"] = 0 }
left = { ["QUITE_LEFT"] = 0, ["HEAVY_LEFT"] = 0, ["LIGHT_LEFT"] = 0, ["KEEP_LEFT"] = 0 }
keep = { ["KEEP_LEFT"] = 0, ["KEEP_RIGHT"] = 0, ["KEEP_MIDDLE"] = 0 }
highway = { ["ENTER_HIGHWAY"] = 0, ["ENTER_URBAN_HIGHWAY"] = 0, ["LEAVE_HIGHWAY"] = 0, ["LEAVE_URBAN_HIGHWAY"] = 0 }


